
%define plugin	suspendoutput
%define name	vdr-plugin-%plugin
%define version	1.0.1
%define rel	8

Summary:	VDR plugin: Suspend output
Name:		%name
Version:	%version
Release:	%mkrel %rel
Group:		Video/Utilities
License:	GPLv2+
URL:		http://phivdr.dyndns.org/vdr/vdr-suspendoutput/
Source:		http://phivdr.dyndns.org/vdr/vdr-suspendoutput/vdr-%plugin-%version.tgz
BuildRequires:	vdr-devel >= 1.6.0
Requires:	vdr-abi = %vdr_abi

%description
Suspend vdr output (display still image instead of live video).
Suspending live TV releases current channel (DVB card) for
recording(s) and saves some CPU time with software decoders.
Blanking display while replay is paused can avoid burning the image
on tube.

%prep
%setup -q -n %plugin-%version
%vdr_plugin_prep

%vdr_plugin_params_begin %plugin
# Show suspend/resume entry in main menu (default)
var=MENU
param=-m
# Don't show entry in main menu
var=NOMENU
param=-M
# Suspend output after MIN minutes of inactivity (default: 120 minutes)
var=TIMER_MIN
param=--timer=TIMER_MIN
# Disable inactivity timer
var=NOTIMER
param=-T
# Allow suspend when replay is paused
var=PAUSED
param=-p
# Show VDR logo when suspended
var=LOGO
param=-l
# Blank screen when suspended
var=BLANK
param=-b
%vdr_plugin_params_end

%build
%vdr_plugin_build

%install
%vdr_plugin_install

%files -f %plugin.vdr
%doc README HISTORY


%changelog

* Mon Jan 14 2013 umeabot <umeabot> 1.0.1-8.mga3
+ Revision: 385340
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Dec 03 2012 malo <malo> 1.0.1-7.mga3
+ Revision: 326225
- spec clean-up
- update RPM group

* Wed Mar 07 2012 anssi <anssi> 1.0.1-6.mga2
+ Revision: 221057
- rebuild for VDR 1.7.25

* Tue Mar 06 2012 anssi <anssi> 1.0.1-5.mga2
+ Revision: 219403
- rebuild for VDR 1.7.23
- rebuild for VDR 1.7.23

* Sat May 14 2011 anssi <anssi> 1.0.1-3.mga1
+ Revision: 98584
- drop old scriptlets
- imported package vdr-plugin-suspendoutput

